.so tex:nro/an
.TH FOCO 1 "AMIGA User's Manual" " by Michael Balzer" "Version 1.2"
.de cmd
!sp $1;!ne 2;!ti -5;!bo "$0
.en
.de fun
.sp $1;.ne 2;.ti -5;.bo "$0
.en
.SH NAME

FoCo - Disk Formatting Controller

.SH SYNOPSIS

.in +5;.ta +0;.ti -5
.bo "FoCo@t[DRIVE=n] [NAME=...] [FLAGS=...]
.bo "[CX_POPUP=YES|NO] [CX_POPKEY=...] [CX_PRIORITY=n]
.bo "[LANGUAGEFILE=...]
.in -5;.ta

.SH DESCRIPTION

.ul "FoCo
means "Format-Controller" and has been developed for three reasons:
.in +5;.ta +0;.cc !
!*---------------------------*
!cmd 1.
@tThe Workbench won't give you all formatting options (see CLI).
!*---------------------------*
!cmd 2.
@tMy comp should be intelligent enough to guess that I want to
format an unformatted disk (see Mac).
!*---------------------------*
!cmd 3.
@tI wanted to exercise some 2.0 programming.
!*---------------------------*
!cc
.in -5;.PP
The third one is the essential reason... therefore FoCo will only operate on
AmigaDOS 2.0.  The source is a little bit confused but will do as an
example - at least as a bad one 8-).

.SH LEGAL STUFF

.ul "FoCo 1.2
is FreeWare and copyrighted by me, the author.  Permission is granted to
Freely Distribute this program, but you may not remove any files of this
original release, nor may you sell FoCo on a disk which costs more than
twice the actual average PD disk price.  In Germany this means, that the
upper limit for the price is DM 5,-.

Permission is especially granted to Fred Fish for inclusion of this
software in his AmigaLibDisk series.

Any part of the source code may be used/recycled without restrictions.

.SH STARTING

You can start FoCo from Workbench, either directly via double click or
during startup by placing it in the WBStartup drawer.
A second start will pop up the control window (supposing that's what you
want to have at that moment).

.SH OPERATION

When you insert a disk which DOS marks as 'BAD' or 'NDOS', FoCo will wake
up and ask you whether you would like that disk to be formatted.  If you
answer 'no', nothing more will happen.  Answering 'yes' will pop up FoCo's
control window.

You can also pop up the control panel by pressing the hotkey (see
'ToolTypes') or by clicking on the "Show" gadget in the "Exchange" program
(see 'Commodities').

Now set all formatting options.  The disk drive will be set automatically.
Clicking on the close gadget will give you the option to terminate FoCo,
while "Cancel" will just put it back to sleep.

You can start the formatting by either pressing the <RETURN> key in the
name field or by clicking on "Format!".

The formatting process will output to its own window and run
asynchronously to the FoCo process, so you can format more than one disk at
a time.
.ul "(Remark:
This is not true with Olaf Barthel's Format replacement, as
this tool has a bug which causes the system partition to be locked during
the formatting, so you can't load anything from there.)

.SH TOOLTYPES

The tool types control FoCo's initial options, hotkey and language.  Use
workbench's "Info" menu to set any or all of these:
.in +5;.ta 32;.cc !
!*---------------------------*
!cmd DRIVE=n
@tdefault drive number (of those
@tconnected!)
!*---------------------------*
!cmd NAME=...
@tdefault name for new disks
!*---------------------------*
!cmd FLAGS=...
@tdefault enabled options, select from
@tFFS | NOICONS | QUICK | NOVERIFY | 
@tINSTALL | EJECT
!*---------------------------*
!cmd CX_POPUP=YES|NO
@tshow control panel immediately?
!*---------------------------*
!cmd CX_PRIORITY=n
@tdefine commodity priority
!*---------------------------*
!cmd CX_POPKEY=...
@thotkey to pop up the control panel
@t(follows commodities conventions)
!*---------------------------*
!cmd LANGUAGEFILE=...
@tthe file containing the texts
@t(Attention: has to be in the same
@tdrawer, e.g. WBStartup, if you don't
@tprovide the full path)
!*---------------------------*
!cmd DONOTWAIT
@tnecessary for WBStartup
!*---------------------------*
!cc

.in -5;.PP
FoCo won't start with an illegal hotkey description.  All tool types are
optional, the default settings are:

	DRIVE=0, NAME=Empty, FLAGS=FFS|NOICONS,
.br
	CX_POPUP=NO, CX_POPKEY=lcommand f

and no language file (means english text). B.t.w.: The texts in the language
file must remain in their order and must be seperated by ASCII 0.

.SH COMMODITIES

FoCo is fully compatible to the commodities standard.  You can control FoCo
from the workbench tool "Exchange".

The gadgets "Show" and "Hide" are routed to the control panel, "Disable"
detaches FoCo from the input event queue until "Enable", and "Kill"
terminates FoCo completely.

.SH AUTHOR

Ok, cut it now, enough chatter ;-).  Already too much documentation for
such a minitool.

Send flames to HELL:  (a soon to be released dos handler,
just waiting for HEAVEN:  to be finished :-) and comments to

.ce 13
balzer@@heike.informatik.uni-dortmund.de
.br

or

.br
M.BALZER@@AWORLD.ZER
.br

or

.br
Michael Balzer
.br
Wildermuthstr. 18
.br
W-5828 Ennepetal 14
.br
GERMANY

.br
Have Fun!
